Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156386 - CAN-2004-0823 openldap hashed password re-use
Summary: CAN-2004-0823 openldap hashed password re-use
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openldap
Version: 3.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: Jay Turner
URL:
Whiteboard: impact=low,public=20040907,source=cve...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-29 16:21 UTC by Josh Bressers
Modified: 2015-01-08 00:09 UTC (History)
2 users (show)

Fixed In Version: RHSA-2005-751
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-17 07:36:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:751 normal SHIPPED_LIVE Moderate: openldap and nss_ldap security update 2005-10-17 04:00:00 UTC

Description Josh Bressers 2005-04-29 16:21:52 UTC
OpenLDAP 1.0 through 2.1.19, as used in Apple Mac OS 10.3.4 and 10.3.5 and
possibly other operating systems, may allow certain authentication schemes to
use hashed (crypt) passwords in the userPassword attribute as if they were
plaintext passwords, which allows remote attackers to re-use hashed passwords
without decrypting them.

Comment 1 Josh Bressers 2005-04-29 16:22:26 UTC
This issue also affects RHEL2.1

Comment 3 Red Hat Bugzilla 2005-10-17 07:36:10 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-751.html



Note You need to log in before you can comment on or make changes to this bug.